<template>
    <v-app>
      <v-navigation-drawer app v-model="drawer" v-if="this.$router.currentRoute.name !== 'Login'"
      permanent expand-on-hover>
          <v-list-item>
            <v-list-item-content>
              <v-list-item-title>
                Home Automation 
              </v-list-item-title>
              <v-list-item-subtitle>
                Armando Van den Bosch
              </v-list-item-subtitle>
              <v-list-item-subtitle>
                0135485-73
              </v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-divider></v-divider>
      <v-list dense>
        <v-list-item link to="/floor/">
          <v-list-item-action>
            <v-icon>mdi-home</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>Floors</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
        <v-list-item link to="/admin/" v-if="this.userType=='Admin'">
          <v-list-item-action>
            <v-icon>mdi-account-group</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>User administration</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
        <v-divider/>
        <v-list-item @click="changeLoggedIn()">
          <v-list-item-action>
            <v-icon>mdi-logout</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title>Log out</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
      </v-navigation-drawer>
        <v-app-bar app elevate-on-scroll color="#366092" fade-img-on-scroll dark :src="'/img/bannerAutomation.png'"
        scroll-threshold="500">
            <v-toolbar-title class="title">Home Automation</v-toolbar-title>
        </v-app-bar>
        <v-main>
      <v-container fluid>
        <router-view></router-view>
      </v-container>
    </v-main>
    </v-app>
</template>

<style scoped>
.title{
    color: white;
}
.v-main{
  background-color: #D8D8D8;
}
</style>

<script>
export default {
  name: "App",
  data: () => ({
    drawer: false,
    userType:null
  }),
  updated(){
    this.userType = localStorage.getItem('userType')
  },
  methods:{
    changeLoggedIn(){
      console.log('clickevent')
      localStorage.setItem('loggedIn',false)
      localStorage.setItem('userType',null)
      this.$router.push({ name: "Login"})
  }
}
}
</script>
